Lack of support for 32bits libraries under Ubuntu 64bits

Timo Aaltonen tjaalton at
Wed Jan 21 11:50:36 UTC 2009

On Wed, 21 Jan 2009, Timo Aaltonen wrote:

> On Wed, 21 Jan 2009, Patrice Vetsel wrote:
>> Hi,
>> I'm part of beta team test for a proprietary software (bibble 5). This
>> software is compiled for 32 bits and 64bits is not planed at all.
> Err.. I've bought BibblePro, and AIUI a native 64bit version should be
> released when v5 is out?

Ok, checked the forums and 64bit is not coming in the initial release, but 
"likely later with a point-release".

>> So after reporting a new bug for this app, I discovered a big difference
>> between Ubuntu64 and OpenSuse64.
>> Bibble 5 beta need libuuid in 32 bits installed. OpenSuse have many,
>> many libraries installed in 64 AND 32, and many others available.
>> Under Ubuntu it's the oposite. 4 libraries are provided in 32 bits for
>> compatibilities and are available for installation in ubuntu64.
>> The result is that i had to manually download/extract the libuuid for
>> 32bits. Manually because installing automatically (forcing installation
>> of i386 package) libuuid in 32bits overwrite the 64bits verion files.
>> What is the position of ubuntu devs for this kind of problem ?
> Depend on ia32-libs, which does include libuuid and many others.
> t
> -- 
> Ubuntu-devel-discuss mailing list
> Ubuntu-devel-discuss at
> Modify settings or unsubscribe at:

More information about the Ubuntu-devel-discuss mailing list